// 有关defer 延迟的执行顺序的粗略测试
package main

import "fmt"

func Test() int{
	a := 1
	defer func() {
		fmt.Println("__1",a)
		a = 4
		fmt.Println("__2",a)
	}()
	fmt.Println("__3",a)
	return a
}

func deferTest() {
	fmt.Printf("return:,%d",Test())
}
